Bug 115216 - disk druid can't make raid span 2 disks
Summary: disk druid can't make raid span 2 disks
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-09 06:21 UTC by Jay Guerette
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 16:01:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Guerette 2004-02-09 06:21:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7a)
Gecko/20040131 Firebird/0.8.0+

Description of problem:
When attempting to set up a software RAID using disk druid in text
mode,  Disk Druid seems to ignore the specfication of which partions
will participate in a RAID device. It sees all partitions set up as
'Software RAID' types, and lists them all, but ignores your selection
from that list.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Locate or setup an i386 computer with 2 identical hard drives
2. Boot from Fedora Core 1 install disk, run install in text mode, get
to disk setup, and select disk druid to partition drives
3. Delete all existing partions
4. Create a new partition of the type 'Software RAID' on both disks,
as a primary partition, using all available space
5. Create a RAID, with '/' as the mount point, RAID-1, making sure
that both hardrives are selected to participate in the RAID. i.e:
[*]hda1,[*]hdb1
 

Actual Results:  Disk druid re-partitioned hda into hda1 & hda2, each
half the total capacity of the drive, and created a MD0 RAID device
that was hda1 & hda2 mirrored.

Expected Results:  Disk druid should have created a MD0 RAID1 device
that was the size of the total capacity of a drive, and included hda1
and hdb1.

Additional info:

Editing the newly created RAID device would not fix the problem. The
partition selection for participation in the RAID seems to be
completely ignored. Repeated attempts, over the course of 2 hours,
with many variations of trying to make a MDx RAID device that spanned
2 drives, all failed.

Comment 1 Jeremy Katz 2004-02-10 21:16:05 UTC
Do you have the partitions which start out as hda1 and hdb1
constrained to remain on only the specific drive you want them on?

Comment 2 Jeremy Katz 2004-10-05 16:01:40 UTC
Closing due to inactivity.  If you continue to have this problem on a
newer release of Fedora Core, please reopen and add any additional
information to this report.


Note You need to log in before you can comment on or make changes to this bug.